Subject: Re: bug#31193: 26.1; error in `term-down' after window configuration change

From: Phil Sainty <[email-masked]>
Date: Wed, 18 Apr 2018 01:49:20 +1200

On 2018-04-18 01:23, Noam Postavsky wrote:
> Hmm, I'm not able to reproduce this, even though it makes sense to me
> that my fix for Bug#30544 [1: a64c11a3aa] would cause this.  Perhaps it
> depends on your shell prompt as well?

I do have a non-trivial prompt; but after setting PS1="$ " I still see
the same issue, so I'm unsure whether that's a factor.  My shell is 
bash.

> I think changing them to function calls, i.e., (term-current-row)
> instead of term-current-row would be the right thing; all the other 
> term
> functions use the function rather than accessing the variable directly.

That sounds sane, and I can confirm that it fixes the problem.